닫기

글로벌이코노믹

갤럭시 S22, 해외서 9월 업데이트 이후 탭앤페이결제서비스 사용불가

공유
1

갤럭시 S22, 해외서 9월 업데이트 이후 탭앤페이결제서비스 사용불가

구글의 보안인증방식 변경이 원인으로 지목돼…10월업데이트에서 해결될지는 미지수

레딧에 보고된 보안요구사항을 만족하지 못한다는 오류메시지.사진=레딧이미지 확대보기
레딧에 보고된 보안요구사항을 만족하지 못한다는 오류메시지.사진=레딧
해외에서 판매중인 갤럭시S22 제품의 탭앤페이 결제서비스가 9월 업데이트 이후 보안오류를 일으키며 사용이 불가능하다고 다수의 현지 언론이 최근 보도했다.

구글의 탭앤페이 결제서비스는 한국의 마그네틱보안전송(MST)을 이용한 결제 서비스가 아닌 근거리무선통신(NFC)을 이용한 결제서비스로 한국을 제외한 해외 다수의 국가들에서 애플·구굴 등 다수의 제조사들이 NFC를 이용해 결제서비스를 제공하고 있다. 이러한 가운데 9월 정기업데이트를 실시한 삼성전자의 갤럭시S22 모델에서 탭앤페이 서비스가 보안오류를 일으키며 사용이 불가능한 것으로 전해졌다. 레딧(Reddit) 등 다수의 갤럭시 사용자 커뮤니티에 '휴대 전화가 보안 요구 사항을 충족하지 않습니다'라는 오류메시지를 게재한 글이 보고되고 있으며 사용자들이 불만을 터트리고 있다.

결제서비스는 금전적인 거래가 수반되므로 각 제조사들은 안드로이드 시스템 사용자들의 임의적인 운영체제 변경을 엄격히 금지하고 있으나, 전문가들은 루팅(Rooting, 안드로이드 시스템의 최고권한을 습득해 운영체제를 변경하는 일로 아이폰에서는 탈옥이라 말한다)이나 부트로더(안드로이드 시작을 위해 필요한 실행파트가 기록된 시스템 부분)의 변경작업을 하지 않았음에도 보안 오류를 일으키는 원인으로 최근 구글이 발표한 보안정책의 변경을 꼽고 있다.

구글은 새로운 API(Application Programming Interface, 운영체제와 프로그램사이에 사용되는 언어)로 전환하기 위해 2024년까지 기존의 사용되던 보안인증방식인 'SafetyNet 증명 API' 방식의 사용중지 계획을 세웠으며 많은 개발자들에게 적용할 시간을 주기위해 적용기한을 2024년까지라 말했지만 구글월렛 등의 구글자체앱에는 이미 보안인증방식이 SafetyNet증명 방식에서 새로운 'Play Integrity'방식으로 변경된 것으로 확인되었다.

현재 10월 업데이트 이전까지 결제서비를 임시적으로 사용할 수 있는 방법으로 공장초기화를 권장하고 있으나, 공장초기화는 사용자들의 불편을 불러일으키기 때문에 많은 사용자들이 꺼려하고 있다. 10월 업데이트에서 문제가 고쳐지면 다행이지만 보안방식의 오류는 삼성전자가 아닌 안드로이드 운영체제를 제공하고 있는 구글의 문제이므로 빠른 해결이 가능할지는 미지수다.

한편, 한국에서 삼성페이만 사용이 가능했던 이유는 카드단말기가 MST방식만 지원했던 이유가 컸지만 최근 애플은 애플페이를 한국에서 서비스하겠다는 방침을 밝히며 현대카드등의 VAN사들과 제휴를 통해 시스템을 개발하고 있는 것으로 전해졌다. 15만원 상당의 NFC지원 카드결제 단말기 비용을 어떻게 해결해 단말기 보급을 확대할 것인지 많은 스마트폰 사용자들의 관심을 불러모으고 있다.


장용석 글로벌이코노믹 기자 jangys@g-enews.com